package com.gh.gamecenter.adapter.viewholder;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.databinding.LibaoItemBinding;
import com.gh.gamecenter.feature.entity.LibaoEntity;

/**
 * Created by khy on 2016/12/12.
 */
public class LibaoNormalViewHolder extends BaseRecyclerViewHolder<LibaoEntity> {

    public LibaoItemBinding binding;

    public LibaoNormalViewHolder(LibaoItemBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public LibaoNormalViewHolder(LibaoItemBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        itemView.setOnClickListener(this);
        binding.libaoBtnStatus.setOnClickListener(this);
    }
}
